if (nchar(installed.packages()[,'Package']['Cairo'])==5) { 
  library("Cairo"); 
  if (Cairo.capabilities()['png']) { 
    CairoPNG("plot.png") 
  } else { 
    pdf("plot.pdf") }
  } else { pdf("plot.pdf") 
}

x = c(30, 35, 40, 45, 50, 55, 60)
u = c(11825, 18169, 24277, 29497, 33654, 36873, 39553);
v = c(9928, 13399, 15378, 16079, 16149, 16030, 15896);
w = c(4358, 4834, 5322, 5446, 5583, 5629, 5722);

plot(x, u,pch=3,type="b", xlab="Efficiency (in %)", ylab="MC Error of Total Value (in EUR)",ylim=c(0, 50000), main="1024 Samples", yaxt="n")
points(x,v,pch=5, type="b")
points(x,w,pch=0, type="b")
legend(x=31,y=50000,legend=c("Monte-Carlo", "Antithetic Sampling", "Quasi Monte-Carlo + Brownian Bridge"),pch=c(3,5,0))

axis(2, c(0, 1e4, 2e4, 3e4, 4e4,5e4), expression(0, 10^4, '2*'*10^4, '3*'* 10^4, '4*'*10^4, '5*'*10^4))
dev.off()

